package mhp.oee.po.gen;

import java.util.Date;

public class ResourceTypeResourcePO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_type_resource.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_type_resource.RESOURCE_TYPE_BO
     *
     * @mbggenerated
     */
    private String resourceTypeBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_type_resource.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_type_resource.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_type_resource.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_type_resource.HANDLE
     *
     * @return the value of resource_type_resource.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_type_resource.HANDLE
     *
     * @param handle the value for resource_type_resource.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_type_resource.RESOURCE_TYPE_BO
     *
     * @return the value of resource_type_resource.RESOURCE_TYPE_BO
     *
     * @mbggenerated
     */
    public String getResourceTypeBo() {
        return resourceTypeBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_type_resource.RESOURCE_TYPE_BO
     *
     * @param resourceTypeBo the value for resource_type_resource.RESOURCE_TYPE_BO
     *
     * @mbggenerated
     */
    public void setResourceTypeBo(String resourceTypeBo) {
        this.resourceTypeBo = resourceTypeBo == null ? null : resourceTypeBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_type_resource.RESOURCE_BO
     *
     * @return the value of resource_type_resource.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_type_resource.RESOURCE_BO
     *
     * @param resourceBo the value for resource_type_resource.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_type_resource.CREATED_DATE_TIME
     *
     * @return the value of resource_type_resource.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_type_resource.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resource_type_resource.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_type_resource.MODIFIED_USER
     *
     * @return the value of resource_type_resource.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_type_resource.MODIFIED_USER
     *
     * @param modifiedUser the value for resource_type_resource.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}